PDA

Visualizza la versione completa : [Eciadsl] 45: Syntax error: "(" unexpected


Sifr
02-08-2005, 12:18
Ciao,
ho una Debian Woody con kernel 2.4 (stavo per ricompilarmi il 2.6 quando ho avuto questo errore) e un modem USB Datacom WebPower (quello di Alice). Per uscire su internet uso gli EciAdsl, fino a poco fa funzionavano perfettamente, ora appena provo a dargli "startmodem" mi esce fuori

/usr/bin/startmodem: 45: Syntax error: "(" unexpected

e se provo a riconfigurare il file di configurazione mi escono una serie di

[: 35: 0: unexpected operator
[: 35: ==: unexpected operator

e simili.

Ho provato a togliere\rimettere gli eciadsl senza risultati.

Su google non ho trovato nulla, a parte altri utenti con lo stesso problema, ma senza risposta.

Ciao
Sifr

andy caps
02-08-2005, 14:24
:bh: puo dipendere da svariate cose

basta un pacchetto mancante o una versione antiquata di un altro

guarda i file richiesti per la compilazione sul sito dei driver

in genere analizando il ./configure si vedono eventuali programmi mancanti

installa anche i -dev dei pacchetti in questione

controlla di avere installato e versioni piu recenti possibili di automake autoconf gcc g++ cpp

Sifr
02-08-2005, 14:52
Se collegassi il router e mi connettessi con quello, basterebbe fare un apt-get -f install per risolvere le varie dipendenze?

Ciao e grazie
Sifr

andy caps
02-08-2005, 14:58
se hai la possibilita di collegarti via rete puoi anche aggiornare la woody a sarge che ha tutti gli ultimi file anche per compilare

apt-get -f install serve pe sistemare dipendenze inrisolte durante l'installazione non per installare eventuali librerie mancanti dai un occhiata sul sito per vedere l'occorrente per compilare i driver

andy caps
02-08-2005, 15:07
guarda di avere installato il file di tcl tk

ho visto che non richiede molto

prova a dare


apt-get install tk8.3 tk8.3-dev gcc make binutils-dev g++ cpp make automake autoconf



guarda che versioni haidisponibili di automake ed installa le piu recenti

es sulla sid

automake1.4 - A tool for generating GNU Standards-compliant Makefiles.
automake1.6 - A tool for generating GNU Standards-compliant Makefiles.
automake1.7 - A tool for generating GNU Standards-compliant Makefiles
automake1.8 - A tool for generating GNU Standards-compliant Makefiles
automake1.9 - A tool for generating GNU Standards-compliant Makefiles

Loading